<?php
include "header.php";
include 'config.php';

$encrypted_weaponName = $_GET['weaponName'];
$weaponName = base64_decode($encrypted_weaponName);

$encrypted_weaponType = $_GET['weaponType'];
$weaponType = base64_decode($encrypted_weaponType);

// Fetch spare parts data from API for the specific weapon name
$curl = curl_init();
$url = BASE_URL . '/listSparePartsByWeaponName?weaponName=' . urlencode($weaponName);
curl_setopt_array($curl, array(
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
));
$response = curl_exec($curl);
curl_close($curl);
$spareParts = json_decode($response, true);
?>

<style>
    .suggestion-list {
        position: absolute;
        list-style-type: none;
        padding: 0;
        margin: 0;
        border: 1px solid #ccc;
        border-top: none;
        z-index: 999;
        background-color: #fff;
        width: 100%;
    }

    .suggestion-list li {
        padding: 10px;
        cursor: pointer;
    }

    .suggestion-list li:hover {
        background-color: #f2f2f2;
    }
</style>

<script>
function validateForm() {
    var counts = document.getElementsByName('count[]');
    var isValid = false;

    for (var i = 0; i < counts.length; i++) {
        if (counts[i].value > 0) {
            isValid = true;
            break;
        }
    }

    if (!isValid) {
        alert("Please select at least one spare part and enter a count.");
        return false;
    }

    return true;
}
</script>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>

                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active">Magazine Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                if (isset($_SESSION['success_status'])) {
                    ?>
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        <strong>Hey!</strong> <?php echo $_SESSION['success_status']; ?>
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                    <?php
                } elseif (isset($_SESSION['error_status'])) {
                    ?>
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        <strong>Hey!</strong> <?php echo $_SESSION['error_status']; ?>
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                    <?php
                }
                unset($_SESSION['success_status']);
                unset($_SESSION['error_status']);
                ?>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">Add Weapon Spare Parts</h4>
                            </div>
                            <div class="card-body">
                                <form action="check_add_sparepart_report.php" class="form-steps was-validated" method="post" enctype="multipart/form-data" onsubmit="return validateForm();">
                                    <div class="row">
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="weaponName" class="form-label">Weapon Name</label>
                                                <input type="text" class="form-control" id="weaponName" name="weaponName" value="<?php echo $weaponName; ?>" readonly>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="date" class="form-label">Date</label>
                                                <input type="date" class="form-control" id="date" name="date" required>
                                            </div>
                                        </div>
                                        <div class="col-md-12 mt-3">
                                            <div>
                                                <label for="remark" class="form-label">Remark</label>
                                                <textarea class="form-control" id="remark" name="remark" placeholder="Enter Remark" required style="height: 70px;"></textarea>
                                            </div>
                                        </div>
                                        <!-- Hidden input for weaponType -->
                                        <input type="hidden" name="weaponType" value="<?php echo $weaponType; ?>">
                                        <div class="field_wrapper mt-3">
                                            <div class="table-responsive">
                                                <table class="table" id="dynamic_field">
                                                    <?php 
                                                    if (!empty($spareParts)) {
                                                        foreach ($spareParts as $part) { ?>
                                                            <tr>
                                                                <td>
                                                                    <label class="form-label" for="partName"><?php echo $part['sparePartName']; ?></label><br>
                                                                    <input type="text" class="form-control" id="partName[]" name="partName[]" value="<?php echo $part['sparePartName']; ?>" readonly>
                                                                </td>
                                                                <td>
                                                                    <label class="form-label" for="count">Count</label><br>
                                                                    <input type="number" class="form-control" id="count[]" name="count[]" value="0" required>
                                                                </td>
                                                            </tr>
                                                        <?php } 
                                                    } else { ?>
                                                        <tr>
                                                            <td colspan="2" class="text-center">No spare parts available for this weapon. Please add spare parts.</td>
                                                        </tr>
                                                    <?php } ?>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 mt-4">
                                            <button type="submit" name="submit" class="btn btn-success">Save</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<?php include "footer.php"; ?>
