<?php
include 'config.php' ;
session_start();

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve form data
    $date = $_POST['date'];
    $weaponName = $_POST['weaponName'];
    $remark = $_POST['remark'];
    $weaponType = $_POST['weaponType'];
    $partNames = $_POST['partName']; 
    $counts = $_POST['count']; 
    // Convert counts to strings (if they are not already)
    $counts = array_map('strval', $counts);

    // Construct JSON data to be sent in the request
    $postData = array(
        'date' => $date,
        'weaponName' => $weaponName,
        'remark' => $remark,
        'weaponType' => $weaponType,
        'partName' => $partNames,
        'quantity' => $counts
    );

    // Convert data to JSON format
    $jsonData = json_encode($postData);

    // Initialize cURL session
    $curl = curl_init();
    $url = BASE_URL . '/weapons-unrepair/save';
    // Set cURL options
    curl_setopt_array($curl, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => $jsonData,
        CURLOPT_HTTPHEADER => array(
            'Content-Type: application/json',
            'Content-Length: ' . strlen($jsonData)
        )
    ));

    // Execute cURL request
    $response = curl_exec($curl);

    // Check for errors
    if (curl_errno($curl)) {
        echo 'CURL Error: ' . curl_error($curl);
        exit(); // Stop script execution
    }

    // Close cURL session
    curl_close($curl);

   // echo "Raw response: " . $response . "<br>";

    // Decode the JSON response
    $json_response = json_decode($response, true);
   // echo "JSON decoding error: " . json_last_error_msg() . "<br>";
    //print_r($json_response);

    // Check if the response contains the message and Weapon Type
    if (json_last_error() === JSON_ERROR_NONE && isset($json_response['message']) && isset($json_response['Weapon Type'])) {
        // Output the response message
        echo $json_response['message'] . "<br>";

        // Check the weapon type in the response
        $weaponType = $json_response['Weapon Type'];
        if ($weaponType === 'short') {
            header("Location:add_shortweapon_daily_sparepart.php");
            exit(); // Stop script execution after redirection
        } elseif ($weaponType === 'long') {
            header("Location:add_longweapon_daily_sparepart.php");
            exit(); // Stop script execution after redirection
        } else {
            echo "Invalid weapon type in response.";
        }
    } else {
        echo "Invalid response from server.";
    }
}
?>
