<?php
session_start();
include 'config.php';

if (isset($_POST['submit'])) {
    $sparePartName = $_POST['sparePartName'];
    $weaponName = $_POST['weaponName'];

    if (empty($weaponName)) {
        $_SESSION['error_status'] = "Please select a weapon name";
        header("Location: sparepart_register.php");
        exit();
    }

    // Prepare data to send via cURL
    $postData = json_encode(
        array(
            'weaponName' => $weaponName,
            'sparePartName' => $sparePartName
        )
    );

    $curl = curl_init();
    $url = BASE_URL . '/addSparePart';
    curl_setopt_array($curl, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $postData,
        CURLOPT_HTTPHEADER => array(
            'Content-Type: application/json'
        ),
    )
    );

    $response = curl_exec($curl);

    curl_close($curl);

    $json_response = json_decode($response);

    if (!empty($json_response) && $json_response->id > 0) {
        $_SESSION['error_status'] = "Spare Part not saved ";
    } else {
        $_SESSION['success_status'] = "Spare Part saved successfully";
    }

    // Redirect to the appropriate page after form submission  
    header("Location: sparepart_register.php");
    exit(); // Ensure that script execution stops after the redirect
}

?>