<?php include 'header.php' ?>
<?php include 'config.php'; 
$encrypted_id = $_GET['id_no'];
$id = base64_decode($encrypted_id);
$curl = curl_init();
$url = BASE_URL . '/revolverRepairReport/getRevolverRepairReportById/'.$id.'';
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);
$json_response = json_decode($response);

if ($json_response !== null) {
    // Populate input fields with data from $json_response
    $date = $json_response->date ?? '';
    $revolverRepairName = $json_response->revolverRepairName ?? '';
    $buttNo = $json_response->buttNo ?? '';
    $manufacturerNo = $json_response->manufacturerNo ?? '';
    $departmentLocation = $json_response->departmentLocation ?? '';
    $preservationReport = $json_response->preservationReport ?? '';
    $quarterlyReport = $json_response->quarterlyReport ?? '';
    $annualReport = $json_response->annualReport ?? '';
    $status = $json_response->status ?? '';
} else {
    $date = '';
    $revolverRepairName = '';
    $buttNo = '';
    $manufacturerNo = '';
    $departmentLocation = '';
    $preservationReport = '';
    $quarterlyReport = '';
    $annualReport = '';
    $status = '';
}

?>

<head>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
    <style>
        #myTable th,
        #myTable td {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        #myTable thead th {
            background-color: #f2f2f2;
            border-top: 1px solid #dddddd;
        }

        @media print {
            #printButtonSection {
                display: none;
            }
            body {
                margin: 0;
                padding: 0;
            }
            .main-content {
                width: 100%;
                margin: 0;
                padding: 0;
            }
            .card {
                width: 100%;
                border: none;
                margin: 0;
                padding: 0;
            }
            .table-responsive {
                overflow: visible;
            }
            #myTable {
                width: 100%;
                border-collapse: collapse;
            }
            
        }
    </style>
</head>

<div class="main-content">
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="container">
                        <div class="card" style="border: 1px solid var(--vz-border-color); padding: 20px;">
                            <div class="flex-grow-1 text-center">
                                <h5 class="text-center" style="margin-bottom: -1px; margin-left: 30px;">Revolver Repair Report</h5>
                            </div>
                            <hr>
                            <div class="d-flex align-items-center justify-content-between">
                                <div>
                                    <h6 class="mt-3" style="margin-left: 10px;">Butt No: <?php echo $buttNo ?></h6>
                                </div>
                                <div class="text-right">
                                    <h6 class="mt-3" style="margin-right: 20px;">Manufacturer No: <?php echo $manufacturerNo ?></h6>
                                </div>
                            </div>
                            <div class="d-flex align-items-center justify-content-between">
                                <div>
                                    <h6 class="mt-3" style="margin-left: 10px;">Department Location: <?php echo $departmentLocation ?></h6>
                                </div>
                                <div class="text-right">
                                    <h6 class="mt-3" style="margin-right: 20px;">Revolver Repair Name: <?php echo $revolverRepairName ?></h6>
                                </div>
                            </div>
                            <hr>
                            <div class="card-body d-flex align-items-center justify-content-between">
                            </div>
                            <div class="table-responsive">
                                <table class="table table-striped table-nowrap" id="myTable">
                                    <thead>
                                        <tr class="text-center">
                                            <th class="text-center" scope="col">Sr.No</th>
                                            <th class="text-center" scope="col">Date</th>
                                            <th class="text-center" scope="col">Preservation Report</th>
                                            <th class="text-center" scope="col">Quarterly Report</th>
                                            <th class="text-center" scope="col">Annual Report</th>
                                            <th class="text-center" scope="col">Remark</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th scope="row">1</th>
                                            <td><?php echo $date ?></td>
                                            <td><?php echo $preservationReport ?></td>
                                            <td><?php echo $quarterlyReport ?></td>
                                            <td><?php echo $annualReport ?></td>
                                            <td><?php echo $status ?></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <!-- Bottom Section -->
                            <div class="text-center mt-3">
                                <button id="printButtonSection" class="btn btn-primary" onclick="printCard()">Print</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function printCard() {
        window.print();
    }
</script>

<?php include 'footer.php' ?>
