<?php 
include "header.php"; 
include 'config.php';

$encrypted_weaponName = $_GET['weaponName'];
$weaponName = base64_decode($encrypted_weaponName);

// Fetch data from API
$curl = curl_init();
$url = BASE_URL . '/weapons-unrepair/byWeaponName?weaponName=' . urlencode($weaponName);
curl_setopt_array($curl, array(
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);
curl_close($curl);

$json_response = json_decode($response, true);

// Initialize the table header and body content
$thead_content = '';
$tbody_content = '';

if ($json_response !== null && !empty($json_response)) {
    // Create the header row
    $partNames = json_decode($json_response[0]['partName'], true);
    $thead_content .= '<tr>';
    $thead_content .= '<th class="fixed-column1">Date</th>';
    $thead_content .= '<th class="fixed-column">Tapshil</th>';
    
    foreach ($partNames as $partName) {
        $thead_content .= '<th class="vertical">' . htmlspecialchars($partName) . '</th>';
    }
    $thead_content .= '</tr>';

    // Create the body rows
    foreach ($json_response as $record) {
        $date = htmlspecialchars($record['date'] ?? '');
        $tapshil = htmlspecialchars($record['weaponName'] ?? '');
        $quantities = json_decode($record['quantity'], true);

        $tbody_content .= '<tr>';
        $tbody_content .= '<td>' . $date . '</td>';
        $tbody_content .= '<td class="fixed-column">' . $tapshil . '</td>';
        
        foreach ($quantities as $quantity) {
            $tbody_content .= '<td>' . htmlspecialchars($quantity) . '</td>';
        }
        $tbody_content .= '</tr>';
    }
} else {
    // No data available case
    $thead_content .= '<tr><th>No data available</th></tr>';
    $tbody_content .= '<tr><td colspan="48" class="text-center">No data available</td></tr>';
}
?>

<style>
    .vertical {
        writing-mode: vertical-rl;
        transform: rotate(180deg);
    }

    .custom-table th, .custom-table td {
        padding: 5px; 
    }

    .fixed-column {
        width: 150px;
        min-width: 150px;
        max-width: 150px;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }

    .fixed-column1 {
        width: 80px;
        min-width: 80px;
        max-width: 80px;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }

    @media print {
        .page-title-box, .breadcrumb, .dataTables_filter, .dataTables_length, .dt-buttons, .dataTables_paginate {
            display: none; 
        }
        .custom-table th, .custom-table td {
            font-size: 10px; /* Adjust font size as necessary */
        }
        body {
            margin: 0;
            padding: 0;
        }
        .main-content {
            padding: 20px;
        }
    }
</style>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Workshop Service Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-content">
                    <div class="card">
                        <div class="card-header d-flex align-items-center">
                            <h5 class="card-title mb-0 flex-grow-1"><b><?php echo htmlspecialchars($weaponName); ?></b> Daily Spare Part Report</h5>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table id="buttons-datatables"
                                                class="table table-bordered table-responsive dataTable no-footer custom-table"
                                                style="width: 100%;" aria-describedby="buttons-datatables_info">
                                                <thead class="thead">
                                                    <?php echo $thead_content; ?>
                                                </thead>
                                                <tbody>
                                                    <?php echo $tbody_content; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- Closing tag for div.container-fluid -->
        </div> <!-- Closing tag for div.page-content -->
    </div> <!-- Closing tag for div.main-content -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<?php include "footer.php"; ?>
