<?php
include "header.php";
include 'config.php';

$encrypted_weaponName = $_GET['weaponName'];
$weaponName = base64_decode($encrypted_weaponName);
$encrypted_currentDateTime = $_GET['currentDateTime'];
$currentDateTime = base64_decode($encrypted_currentDateTime);
$weaponName = urlencode($weaponName);

// Fetch data from API
$curl = curl_init();
$url = BASE_URL . '/weapons-unrepair/byWeaponNameAndDate?weaponName='.$weaponName.'&date='.$currentDateTime;
curl_setopt_array($curl, array(
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);
curl_close($curl);

$json_response = json_decode($response, true);


if ($json_response !== null && !empty($json_response)) {
    // Populate input fields with data from $json_response
    $id = $json_response[0]['id'] ?? '';
    $date = $json_response[0]['date'] ?? '';
    $weaponName = $json_response[0]['weaponName'] ?? '';
    $remark = $json_response[0]['remark'] ?? '';
    $partNamesJson = $json_response[0]['partName'] ?? '[]';
    $quantitiesJson = $json_response[0]['quantity'] ?? '[]';
    $partNames = json_decode($partNamesJson, true);
    $quantities = json_decode($quantitiesJson, true);
    if (!$quantities) {
        $quantities = [];
    }
} else {
    // Set default values for input fields if response is not received
    $id = '';
    $date = '';
    $weaponName = '';
    $remark = '';
    $partNames = [];
    $quantities = [];
}
?>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Workshop Service Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-content">
                    <div class="card">
                        <div class="card-header d-flex align-items-center">
                            <h5 class="card-title mb-0 flex-grow-1">
                                <?php echo htmlspecialchars($weaponName); ?> Spare Part Report
                            </h5>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table table-striped table-nowrap" id="myTable">
                                                <thead>
                                                    <tr class="text-center">
                                                        <th class="text-center" scope="col">Sr.No</th>
                                                        <th class="text-center" width="30%" scope="col">Nomenclature</th>
                                                        <th class="text-center" scope="col">Information</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <th class="text-center" scope="row">1</th>
                                                        <td class="text-center">Date</td>
                                                        <td class="text-center"><?php echo htmlspecialchars($date); ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th class="text-center" scope="row">2</th>
                                                        <td class="text-center">Weapon Name</td>
                                                        <td class="text-center"><?php echo htmlspecialchars($weaponName); ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th class="text-center" scope="row">3</th>
                                                        <td class="text-center">Remark</td>
                                                        <td class="text-center"><?php echo htmlspecialchars($remark); ?></td>
                                                    </tr>
                                                </tbody>
                                            </table><br>
                                            <h5>Spare Part Name & Count Detail</h5>
                                            <table id="buttons-datatables" class="table table-bordered table-responsive dataTable no-footer custom-table" style="width: 100%;" aria-describedby="buttons-datatables_info">
                                                <thead>
                                                    <tr class="text-center">
                                                        <th class="text-center" width="50%" scope="col">Spare Part Name</th>
                                                        <th class="text-center" scope="col">Count</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    
                                                    foreach ($partNames as $index => $partName) {
                                                        echo "<tr>";
                                                        echo "<td class='text-center'>" . htmlspecialchars($partName) . "</td>";
                                                        echo "<td class='text-center'>" . htmlspecialchars($quantities[$index]) . "</td>";
                                                        echo "</tr>";
                                                    }
                                                    ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- Closing tag for div.container-fluid -->
        </div> <!-- Closing tag for div.page-content -->
    </div> <!-- Closing tag for div.main-content -->
</body>

<?php include "footer.php"; ?>
